qubeKey: source-netsuite
name: source-netsuite
type: airbyte-source
id: source-netsuite
maturity: alpha
ui:
  icon: <svg xmlns="http://www.w3.org/2000/svg" width="250" height="250" fill="none"><g
    clip-path="url(#a)"><path fill="#BACCDB" d="M61.527 94.417h27.617V160.1h13.75v25.667H61.527v-91.35Zm127.83
    60.433H161.74V89.167h-13.75V63.5h41.367v91.35Z"/><path fill="#125580" d="M55.117
    57.2h87.279v75.017l-33.56-43.284H55.117V57.2Zm140.531 134.983H108.37v-75.016l33.56
    43.283h53.718"/></g><defs><clipPath id="a"><path fill="#fff" d="M38 39h175v175H38z"/></clipPath></defs></svg>
  shortDescription: api
  description: ''
  links:
  - linkName: Documentation
    url: https://docs.airbyte.com/integrations/sources/netsuite
properties:
  type: object
  title: Netsuite Spec
  schema: http://json-schema.org/draft-07/schema#
  required:
  - realm
  - consumer_key
  - consumer_secret
  - token_key
  - token_secret
  - start_datetime
  properties:
    realm:
      type: string
      order: 0
      title: Realm (Account Id)
      description: Netsuite realm e.g. 2344535, as for `production` or 2344535_SB1,
        as for the `sandbox`
      airbyte_secret: true
    token_key:
      type: string
      order: 3
      title: Token Key (Token Id)
      description: Access token key
      airbyte_secret: true
    consumer_key:
      type: string
      order: 1
      title: Consumer Key
      description: Consumer key associated with your integration
      airbyte_secret: true
    object_types:
      type: array
      items:
        type: string
      order: 5
      title: Object Types
      default: []
      examples:
      - customer
      - salesorder
      - etc
      description: The API names of the Netsuite objects you want to sync. Setting
        this speeds up the connection setup process by limiting the number of schemas
        that need to be retrieved from Netsuite.
    token_secret:
      type: string
      order: 4
      title: Token Secret
      description: Access token secret
      airbyte_secret: true
    start_datetime:
      type: string
      order: 6
      title: Start Date
      pattern: ^[0-9]{4}-[0-9]{2}-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}Z$
      examples:
      - '2017-01-25T00:00:00Z'
      description: Starting point for your data replication, in format of "YYYY-MM-DDTHH:mm:ssZ"
    window_in_days:
      type: integer
      order: 7
      title: Window in Days
      default: 30
      description: The amount of days used to query the data with date chunks. Set
        smaller value, if you have lots of data.
    consumer_secret:
      type: string
      order: 2
      title: Consumer Secret
      description: Consumer secret associated with your integration
      airbyte_secret: true
  additionalProperties: true
schemaType: {}
